com.informix.jdbc

## Class IfxScrollableResultSet

- java.lang.Object
- - com.informix.jdbc.IfxScrollableResultSet

All Implemented Interfaces:
  IfmxResultSet, ResultSet2, java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

Direct Known Subclasses:
  IfxClientResultSet

    public abstract class IfxScrollableResultSet
    extends java.lang.Object
    implements IfmxResultSet, ResultSet2

### Field Summary

Fields
`protected java.util.Vector<IfxObject>` `colVector`
`protected IfxConnection` `conn`
`protected boolean` `delimIdent`
`protected boolean` `insertMode`
`protected java.util.Vector<IfxObject>` `insertRowVector`
`protected boolean` `lastColWasNull`
`protected java.util.Hashtable<java.lang.String,java.lang.Integer>` `nameToIdxTable`
`protected IfxResultSetMetaData` `rsmd`
`protected Trace` `trace`
`protected java.util.Map<java.lang.String,java.lang.Class<?>>` `typeMap`
`protected java.sql.SQLWarning` `warnings`

### Fields inherited from interface com.informix.jdbc.ResultSet2

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `chainWarnings(java.sql.SQLWarning cwarn)` Chain SQLWarning
`void` `clearWarnings()`
`protected void` `finalize()`
`int` `findColumn(java.lang.String columnName)`
`java.sql.Array` `getArray(int colIdx)` JDBC 2.0 Get an array column.
`java.sql.Array` `getArray(java.lang.String colName)` JDBC 2.0 Get an array column.
`java.io.InputStream` `getAsciiStream(int columnIndex)` Get the value of a column in the current row as a stream of ASCII characters and then read in chunks from the stream
`java.io.InputStream` `getAsciiStream(java.lang.String columnName)` Get the value of a column in the current row as a stream of ASCII characters and then read in chunks from the stream
`java.math.BigDecimal` `getBigDecimal(int columnIndex)` JDBC 2.0 Get the value of a column in the current row as a java.math.BigDecimal object.
`java.math.BigDecimal` `getBigDecimal(int columnIndex, int scale)` Deprecated.
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnName)` JDBC 2.0 Get the value of a column in the current row as a java.math.BigDecimal object.
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnName, int scale)` Deprecated.
`java.io.InputStream` `getBinaryStream(int columnIndex)`
`java.io.InputStream` `getBinaryStream(java.lang.String columnName)`
`java.sql.Blob` `getBlob(int columnIndex)` JDBC 2.0 Get a BLOB column.
`java.sql.Blob` `getBlob(java.lang.String colName)` JDBC 2.0 Get a BLOB column.
`boolean` `getBoolean(int columnIndex)`
`boolean` `getBoolean(java.lang.String columnName)`
`byte` `getByte(int columnIndex)`
`byte` `getByte(java.lang.String columnName)`
`byte[]` `getBytes(int columnIndex)`
`byte[]` `getBytes(java.lang.String columnName)`
`java.io.Reader` `getCharacterStream(int columnIndex)` JDBC 2.0
`java.io.Reader` `getCharacterStream(java.lang.String columnName)` JDBC 2.0
`java.sql.Clob` `getClob(int columnIndex)` JDBC 2.0 Get a CLOB column.
`java.sql.Clob` `getClob(java.lang.String colName)` JDBC 2.0 Get a CLOB column.
`java.sql.Date` `getDate(int columnIndex)`
`java.sql.Date` `getDate(int columnIndex, java.util.Calendar cal)` JDBC 2.0 Get the value of a column in the current row as a java.sql.Date object.
`java.sql.Date` `getDate(java.lang.String columnName)`
`java.sql.Date` `getDate(java.lang.String columnName, java.util.Calendar cal)` Get the value of a column in the current row as a java.sql.Date object.
`double` `getDouble(int columnIndex)`
`double` `getDouble(java.lang.String columnName)`
`float` `getFloat(int columnIndex)`
`float` `getFloat(java.lang.String columnName)`
`IfxBSONObject` `getIfxBSONObject(int columnIndex)` Get the value of a column in the current row as a IfxBSONObject object.
`IfxBSONObject` `getIfxBSONObject(java.lang.String columnName)` Get the value of a column in the current row as a IfxBSONObject object.
`int` `getInt(int columnIndex)`
`int` `getInt(java.lang.String columnName)`
`Interval` `getInterval(int columnIndex)` Get the value of a column in the current row as a Interval object.
`Interval` `getInterval(java.lang.String columnName)` Get the value of a column in the current row as a Interval object.
`IntervalDF` `getIntervalDF(int columnIndex)` Get the value of a column in the current row as a IntervalDF object.
`IntervalDF` `getIntervalDF(java.lang.String columnName)` Get the value of a column in the current row as a IntervalDF object.
`IntervalYM` `getIntervalYM(int columnIndex)` Get the value of a column in the current row as a IntervalYM object.
`IntervalYM` `getIntervalYM(java.lang.String columnName)` Get the value of a column in the current row as a IntervalYM object.
`long` `getLong(int columnIndex)`
`long` `getLong(java.lang.String columnName)`
`java.lang.Object` `getObject(int columnIndex)` Get the value of a column in the current row as Java Object
`java.lang.Object` `getObject(int colIdx, java.util.Map<java.lang.String,java.lang.Class<?>> map)` JDBC 2.0 Returns the value of column @i as a Java object.
`java.lang.Object` `getObject(java.lang.String columnName)` Get the value of a column in the current row as Java Object
`java.lang.Object` `getObject(java.lang.String columnName, java.util.Map<java.lang.String,java.lang.Class<?>> map)` JDBC 2.0 Returns the value of column @i as a Java object.
`java.sql.Ref` `getRef(int i)` JDBC 2.0 Get a REF(<structured-type>) column.
`java.sql.Ref` `getRef(java.lang.String colName)` JDBC 2.0 Get a REF(<structured-type>) column.
`short` `getShort(int columnIndex)`
`short` `getShort(java.lang.String columnName)`
`java.lang.String` `getString(int columnIndex)` Get the value of a column in the current row as Java String
`java.lang.String` `getString(java.lang.String columnName)` Get the value of a column in the current row as Java String
`java.sql.Time` `getTime(int columnIndex)`
`java.sql.Time` `getTime(int columnIndex, java.util.Calendar cal)` Get the value of a column in the current row as a java.sql.Time object.
`java.sql.Time` `getTime(java.lang.String columnName)`
`java.sql.Time` `getTime(java.lang.String columnName, java.util.Calendar cal)` Get the value of a column in the current row as a java.sql.Time object.
`java.sql.Timestamp` `getTimestamp(int columnIndex)`
`java.sql.Timestamp` `getTimestamp(int columnIndex, java.util.Calendar cal)` Get the value of a column in the current row as a java.sql.Timestamp object.
`java.sql.Timestamp` `getTimestamp(java.lang.String columnName)`
`java.sql.Timestamp` `getTimestamp(java.lang.String columnName, java.util.Calendar cal)` Get the value of a column in the current row as a java.sql.Timestamp object.
`java.io.InputStream` `getUnicodeStream(int columnIndex)` Deprecated.
`java.io.InputStream` `getUnicodeStream(java.lang.String columnName)` Deprecated.
`java.lang.String` `getUnloadString(int columnIndex)` Gets the value of a column in the current row in format compatible with SQL LOAD/UNLOAD format
`java.sql.SQLWarning` `getWarnings()`
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)`
`void` `updateAsciiStream(java.lang.String column, java.io.InputStream x, int length)`
`void` `updateBigDecimal(int columnIndex, java.math.BigDecimal x)`
`void` `updateBigDecimal(java.lang.String column, java.math.BigDecimal x)`
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)`
`void` `updateBinaryStream(java.lang.String column, java.io.InputStream x, int length)`
`void` `updateBoolean(int columnIndex, boolean x)`
`void` `updateBoolean(java.lang.String column, boolean x)`
`void` `updateByte(int columnIndex, byte x)`
`void` `updateByte(java.lang.String column, byte x)`
`void` `updateBytes(int columnIndex, byte[] x)`
`void` `updateBytes(java.lang.String column, byte[] x)`
`void` `updateCharacterStream(int columnIndex, java.io.Reader x, int length)` JDBC 2.0 Update a column with a character stream value.
`void` `updateCharacterStream(java.lang.String column, java.io.Reader reader, int length)` JDBC 2.0 Update a column with a character stream value.
`void` `updateDate(int columnIndex, java.sql.Date x)`
`void` `updateDate(java.lang.String column, java.sql.Date x)`
`void` `updateDouble(int columnIndex, double x)`
`void` `updateDouble(java.lang.String column, double x)`
`void` `updateFloat(int columnIndex, float x)`
`void` `updateFloat(java.lang.String column, float x)`
`void` `updateIfxObject(int columnIndex, java.lang.Object x)`
`void` `updateIfxObject(java.lang.String column, java.lang.Object x)`
`void` `updateInt(int columnIndex, int x)`
`void` `updateInt(java.lang.String column, int x)`
`void` `updateLong(int columnIndex, long x)`
`void` `updateLong(java.lang.String column, long x)`
`void` `updateNull(int columnIndex)`
`void` `updateNull(java.lang.String column)`
`void` `updateObject(int columnIndex, java.lang.Object x)`
`void` `updateObject(int columnIndex, java.lang.Object x, int scale)`
`void` `updateObject(java.lang.String column, java.lang.Object x)`
`void` `updateObject(java.lang.String column, java.lang.Object x, int scale)`
`void` `updateShort(int columnIndex, short x)`
`void` `updateShort(java.lang.String column, short x)`
`void` `updateString(int columnIndex, java.lang.String x)`
`void` `updateString(java.lang.String column, java.lang.String x)`
`void` `updateTime(int columnIndex, java.sql.Time x)`
`void` `updateTime(java.lang.String column, java.sql.Time x)`
`void` `updateTimestamp(int columnIndex, java.sql.Timestamp x)`
`void` `updateTimestamp(java.lang.String column, java.sql.Timestamp x)`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, close, deleteRow, first, getConcurrency, getCursorName, getFetchDirection, getFetchSize, getHoldability, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRow, getRowId, getRowId, getSQLXML, getSQLXML, getStatement, getType, getURL, getURL, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateSQLXML, updateSQLXML`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### rsmd

    protected IfxResultSetMetaData rsmd

#### conn

    protected IfxConnection conn

#### trace

    protected Trace trace

#### insertRowVector

    protected java.util.Vector<IfxObject> insertRowVector

#### colVector

    protected java.util.Vector<IfxObject> colVector

#### insertMode

    protected boolean insertMode

#### lastColWasNull

    protected boolean lastColWasNull

#### nameToIdxTable

    protected java.util.Hashtable<java.lang.String,java.lang.Integer> nameToIdxTable

#### delimIdent

    protected boolean delimIdent

#### typeMap

    protected java.util.Map<java.lang.String,java.lang.Class<?>> typeMap

#### warnings

    protected java.sql.SQLWarning warnings

### Method Detail

#### wasNull

    public boolean wasNull()

Specified by:
  `wasNull` in interface `java.sql.ResultSet`

#### findColumn

    public int findColumn(java.lang.String columnName)
                   throws java.sql.SQLException

Specified by:
  `findColumn` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### chainWarnings

    protected void chainWarnings(java.sql.SQLWarning cwarn)

Chain SQLWarning

#### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

Specified by:
  `getWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

Specified by:
  `clearWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(java.lang.String column)
                    throws java.sql.SQLException

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(java.lang.String column,
                              boolean x)
                       throws java.sql.SQLException

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(java.lang.String column,
                           byte x)
                    throws java.sql.SQLException

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(java.lang.String column,
                            short x)
                     throws java.sql.SQLException

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(java.lang.String column,
                          int x)
                   throws java.sql.SQLException

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(java.lang.String column,
                           long x)
                    throws java.sql.SQLException

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(java.lang.String column,
                            float x)
                     throws java.sql.SQLException

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(java.lang.String column,
                             double x)
                      throws java.sql.SQLException

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(java.lang.String column,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(java.lang.String column,
                             java.lang.String x)
                      throws java.sql.SQLException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(java.lang.String column,
                            byte[] x)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(java.lang.String column,
                           java.sql.Date x)
                    throws java.sql.SQLException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(java.lang.String column,
                           java.sql.Time x)
                    throws java.sql.SQLException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(java.lang.String column,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String column,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String column,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

JDBC 2.0 Update a column with a character stream value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `x` - the new column value
  `length` - the length of the stream
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String column,
                                      java.io.Reader reader,
                                      int length)
                               throws java.sql.SQLException

JDBC 2.0 Update a column with a character stream value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Parameters:
  `colum` - the name of the column
  `x` - the new column value
  `length` - of the stream
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String column,
                             java.lang.Object x)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String column,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateIfxObject

    public void updateIfxObject(int columnIndex,
                                java.lang.Object x)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateIfxObject

    public void updateIfxObject(java.lang.String column,
                                java.lang.Object x)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(int columnIndex)
                               throws java.sql.SQLException

Get the value of a column in the current row as Java String

Specified by:
  `getString` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - First column is 1, second is 2, etc.
Returns:
  Column value in Java String
Throws:
  `java.sql.SQLException` - If columnIndex out of range or conversion cannot be done

#### getUnloadString

    public java.lang.String getUnloadString(int columnIndex)
                                     throws java.sql.SQLException

Description copied from interface: `IfmxResultSet`
Gets the value of a column in the current row in format compatible with SQL LOAD/UNLOAD format

Specified by:
  `getUnloadString` in interface `IfmxResultSet`
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(java.lang.String columnName)
                               throws java.sql.SQLException

Get the value of a column in the current row as Java String

Specified by:
  `getString` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - Name of the column
Returns:
  Column value in Java String
Throws:
  `java.sql.SQLException` - If columnName does not exist conversion cannot be done

#### getObject

    public java.lang.Object getObject(int columnIndex)
                               throws java.sql.SQLException

Get the value of a column in the current row as Java Object

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - Column Index
Returns:
  Column value in Java Object
Throws:
  `java.sql.SQLException` - If columnIndex out of range or conversion cannot be done

#### getObject

    public java.lang.Object getObject(java.lang.String columnName)
                               throws java.sql.SQLException

Get the value of a column in the current row as Java Object

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - Name of the column
Returns:
  Column value in Java Object
Throws:
  `java.sql.SQLException` - If columnName does not exist conversion cannot be done

#### getObject

    public java.lang.Object getObject(int colIdx,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

JDBC 2.0 Returns the value of column @i as a Java object. Use the

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Parameters:
  `i` - the first column is 1, the second is 2, ...
  `map` - the mapping from SQL type names to Java classes
Returns:
  an object representing the SQL value
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String columnName,
                                      java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

JDBC 2.0 Returns the value of column @i as a Java object. Use the

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Parameters:
  `colName` - the column name
  `map` - the mapping from SQL type names to Java classes
Returns:
  an object representing the SQL value
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream(int columnIndex)
                                       throws java.sql.SQLException

Get the value of a column in the current row as a stream of ASCII characters and then read in chunks from the stream

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - Column Index
Returns:
  A Java input stream that delivers the database column value as a stream of one byte ASCII characters.
Throws:
  `java.sql.SQLException` - If columnIndex out of range or conversion cannot be done

#### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String columnName)
                                       throws java.sql.SQLException

Get the value of a column in the current row as a stream of ASCII characters and then read in chunks from the stream

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - Name of the column
Returns:
  A Java input stream that delivers the database column value as a stream of one byte ASCII characters.
Throws:
  `java.sql.SQLException` - If columnName does not exist or conversion cannot be done

#### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

JDBC 2.0

Get the value of a column in the current row as a java.io.Reader.

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName)
                                      throws java.sql.SQLException

JDBC 2.0

Get the value of a column in the current row as a java.io.Reader.

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex,
                                              int scale)
                                       throws java.sql.SQLException

Deprecated.
Get the value of a column in the current row as a BigDecimal object

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - The column index
  `scale` - The number of digits to the right of the decimal
Returns:
  A Java BigDecimal object
Throws:
  `java.sql.SQLException` - If columnIndex is out of range or conversion cannot be done

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName,
                                              int scale)
                                       throws java.sql.SQLException

Deprecated.
Get the value of a column in the current row as a BigDecimal object

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - Name of the column
  `scale` - The number of digits to the right of the decimal
Returns:
  A Java BigDecimal object
Throws:
  `java.sql.SQLException` - If columnName does not exist conversion cannot be done

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

JDBC 2.0 Get the value of a column in the current row as a java.math.BigDecimal object.

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value (full precision); if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws java.sql.SQLException

JDBC 2.0 Get the value of a column in the current row as a java.math.BigDecimal object.

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(java.lang.String columnName)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(int columnIndex)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(java.lang.String columnName)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(int columnIndex)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(java.lang.String columnName)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(int columnIndex)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(java.lang.String columnName)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(int columnIndex)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(java.lang.String columnName)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(int columnIndex)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(java.lang.String columnName)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(int columnIndex)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(java.lang.String columnName)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int columnIndex)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String columnName)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(java.lang.String columnName)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int columnIndex)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String columnName)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Timestamp object. Use the calendar to construct an appropriate millisecond value for the Timestamp, if the underlying database doesn't store timezone information.

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `cal` - the calendar to use in constructing the timestamp
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int columnIndex)
                                         throws java.sql.SQLException

Deprecated.
A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into Unicode.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. . Also, a stream may return 0 for available() whether there is data available or not.

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  a Java input stream that delivers the database column value as a stream of two byte Unicode characters. If the value is SQL NULL then the result is null.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String columnName)
                                         throws java.sql.SQLException

Deprecated.
A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into Unicode.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream.

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - is the SQL name of the column
Returns:
  a Java input stream that delivers the database column value as a stream of two byte Unicode characters. If the value is SQL NULL then the result is null.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getBinaryStream

    public java.io.InputStream getBinaryStream(int columnIndex)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String columnName)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInterval

    public Interval getInterval(int columnIndex)
                         throws java.sql.SQLException

Get the value of a column in the current row as a Interval object.

Specified by:
  `getInterval` in interface `IfmxResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getInterval

    public Interval getInterval(java.lang.String columnName)
                         throws java.sql.SQLException

Get the value of a column in the current row as a Interval object.

Specified by:
  `getInterval` in interface `IfmxResultSet`
Parameters:
  `columnName` - is the SQL name of the column
Returns:
  the column value, if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getIntervalYM

    public IntervalYM getIntervalYM(int columnIndex)
                             throws java.sql.SQLException

Get the value of a column in the current row as a IntervalYM object.

Specified by:
  `getIntervalYM` in interface `IfmxResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getIntervalYM

    public IntervalYM getIntervalYM(java.lang.String columnName)
                             throws java.sql.SQLException

Get the value of a column in the current row as a IntervalYM object.

Specified by:
  `getIntervalYM` in interface `IfmxResultSet`
Parameters:
  `columnName` - is the SQL name of the column
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getIntervalDF

    public IntervalDF getIntervalDF(int columnIndex)
                             throws java.sql.SQLException

Get the value of a column in the current row as a IntervalDF object.

Specified by:
  `getIntervalDF` in interface `IfmxResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getIntervalDF

    public IntervalDF getIntervalDF(java.lang.String columnName)
                             throws java.sql.SQLException

Get the value of a column in the current row as a IntervalDF object.

Specified by:
  `getIntervalDF` in interface `IfmxResultSet`
Parameters:
  `columnName` - is the SQL name of the column
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

JDBC 2.0 Get a REF(<structured-type>) column.

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Parameters:
  `i` - the first column is 1, the second is 2, ...
Returns:
  an object representing data of an SQL REF type
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(int columnIndex)
                          throws java.sql.SQLException

JDBC 2.0 Get a BLOB column.

Specified by:
  `getBlob` in interface `ResultSet2`
Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Parameters:
  `i` - the first column is 1, the second is 2, ...
Returns:
  an object representing a BLOB
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(int columnIndex)
                          throws java.sql.SQLException

JDBC 2.0 Get a CLOB column.

Specified by:
  `getClob` in interface `ResultSet2`
Specified by:
  `getClob` in interface `java.sql.ResultSet`
Parameters:
  `i` - the first column is 1, the second is 2, ...
Returns:
  an object representing a CLOB
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(int colIdx)
                            throws java.sql.SQLException

JDBC 2.0 Get an array column.

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Parameters:
  `i` - the first column is 1, the second is 2, ...
Returns:
  an object representing an SQL array
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef(java.lang.String colName)
                        throws java.sql.SQLException

JDBC 2.0 Get a REF(<structured-type>) column.

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Parameters:
  `colName` - the column name
Returns:
  an object representing data of an SQL REF type
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(java.lang.String colName)
                          throws java.sql.SQLException

JDBC 2.0 Get a BLOB column.

Specified by:
  `getBlob` in interface `ResultSet2`
Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Parameters:
  `colName` - the column name
Returns:
  an object representing a BLOB
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(java.lang.String colName)
                          throws java.sql.SQLException

JDBC 2.0 Get a CLOB column.

Specified by:
  `getClob` in interface `ResultSet2`
Specified by:
  `getClob` in interface `java.sql.ResultSet`
Parameters:
  `colName` - the column name
Returns:
  an object representing a CLOB
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(java.lang.String colName)
                            throws java.sql.SQLException

JDBC 2.0 Get an array column.

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Parameters:
  `colName` - the column name
Returns:
  an object representing an SQL array
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

JDBC 2.0 Get the value of a column in the current row as a java.sql.Date object. Use the calendar to construct an appropriate millisecond value for the Date, if the underlying database doesn't store timezone information.

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `cal` - the calendar to use in constructing the date
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getDate

    public java.sql.Date getDate(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Date object. Use the calendar to construct an appropriate millisecond value for the Date, if the underlying database doesn't store timezone information.

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - is the SQL name of the column
  `cal` - the calendar to use in constructing the date
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getTime

    public java.sql.Time getTime(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Time object. Use the calendar to construct an appropriate millisecond value for the Time, if the underlying database doesn't store timezone information.

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `cal` - the calendar to use in constructing the time
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getTime

    public java.sql.Time getTime(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Time object. Use the calendar to construct an appropriate millisecond value for the Time, if the underlying database doesn't store timezone information.

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - is the SQL name of the column
  `cal` - the calendar to use in constructing the time
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Timestamp object. Use the calendar to construct an appropriate millisecond value for the Timestamp, if the underlying database doesn't store timezone information.

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - is the SQL name of the column
  `cal` - the calendar to use in constructing the timestamp
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### finalize

    protected void finalize()

Overrides:
  `finalize` in class `java.lang.Object`

#### getIfxBSONObject

    public IfxBSONObject getIfxBSONObject(int columnIndex)
                                   throws java.sql.SQLException

Get the value of a column in the current row as a IfxBSONObject object.

Specified by:
  `getIfxBSONObject` in interface `IfmxResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getIfxBSONObject

    public IfxBSONObject getIfxBSONObject(java.lang.String columnName)
                                   throws java.sql.SQLException

Get the value of a column in the current row as a IfxBSONObject object.

Specified by:
  `getIfxBSONObject` in interface `IfmxResultSet`
Parameters:
  `columnName` -
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.